%define doc_license %{nil}
%define doc_license 1
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} < 7
      %define doc_license 0
    %endif
  %else
    %if 0%{?fedora} < 19
      %define doc_license 0
    %endif
  %endif
%endif

%define license_file LICENSE

%define backport_openssl %{nil}
%define backport_openssl 0
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} >= 8
      %define backport_openssl 1
    %endif
  %else
    %if 0%{?fedora} >= 26
      %define backport_openssl 1
    %endif
  %endif
%endif

Summary:        The eXtensible ARchiver
Name:           xar
Version:        1.5.2
Release:        16%{?dist}
License:        BSD
Group:          Applications/Archiving
URL:            http://code.google.com/p/xar/
Source:         http://xar.googlecode.com/files/xar-%{version}.tar.gz
Patch0:         xar-1.5-norpath.patch
Patch1:         xar-1.5.2-CVE-2010-0055.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  libxml2-devel
%if 0%{?backport_openssl}
BuildRequires:  compat-openssl10-devel
%else
BuildRequires:  openssl-devel
%endif
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
#BuildRequires:  /usr/bin/awk
BuildRequires:  gawk
%if 0%{?backport_openssl}
Requires:       compat-openssl10
%else
Requires:       openssl
%endif

%description
The XAR project aims to provide an easily extensible archive format. Important
design decisions include an easily extensible XML table of contents for random
access to archived files, storing the toc at the beginning of the archive to
allow for efficient handling of streamed archives, the ability to handle files
of arbitrarily large sizes, the ability to choose independent encodings for
individual files in the archive, the ability to store checksums for individual
files in both compressed and uncompressed form, and the ability to query the
table of content's rich meta-data.


%package devel
Summary:        Development files for the eXtensible ARchiver
Group:          Development/Libraries
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
Development files for the eXtensible ARchiver.


%prep
%setup -q
%patch0 -p1 -b .norpath
%patch1 -p1 -b .CVE-2010-0055


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf "%{buildroot}"
%{__make} install DESTDIR="%{buildroot}"
%{__rm} -f "%{buildroot}%{_libdir}/libxar.la"


%clean
%{__rm} -rf "%{buildroot}"


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%if 0%{?doc_license}
%license %{license_file}
%else
%doc %{license_file}
%endif
%doc TODO
%{_bindir}/xar
%{_libdir}/libxar.so.*
%{_mandir}/man1/xar.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/xar/
%{_libdir}/libxar.so


%changelog
* Fri Oct 27 2017 Tomasz Tomasik <scx.mail@gmail.com> - 1.5.2-16
- Add a few changes to the SPEC file
- Update requirements
- Use compat-openssl10 instead of openssl for FC >= 26
- Rebuilt for EL7

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 28 2010 Matthias Saou <http://freshrpms.net/> 1.5.2-6
- Include patch to fix CVE-2010-0055 (#570678).

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.5.2-5
- rebuilt with new openssl

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> 1.5.2-2
- rebuild with new openssl

* Tue Dec 23 2008 Matthias Saou <http://freshrpms.net/> 1.5.2-1
- Update to 1.5.2.
- Remove no longer needed install and memset patches.
- Disable newly built-by-default static lib and remove useless .la file.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 
- Autorebuild for GCC 4.3

* Fri Dec 07 2007 Release Engineering <rel-eng at fedoraproject dot org> 
- Rebuild for deps

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 1.5.1-4
- Rebuild for new BuildID feature.
- Add /usr/bin/awk build requirement, needed for the libxml configure check.

* Wed Aug  8 2007 Matthias Saou <http://freshrpms.net/> 1.5.1-2
- Patch memset call with swapped arguments (Dave Jones).

* Wed Jul 11 2007 Matthias Saou <http://freshrpms.net/> 1.5.1-1
- Update to 1.5.1.

* Wed May 30 2007 Matthias Saou <http://freshrpms.net/> 1.5-1
- Update to 1.5.
- Include patch to remove rpath.
- Include patch to fix file modes, and get the lib properly stripped.

* Sun Feb 25 2007 Matthias Saou <http://freshrpms.net/> 1.4-1
- Initial RPM release.

